package main

import (
	"fmt"
	"os"

	"git.fricloud.dk/eyjhb/minifluxmpv/cmd"
	tea "github.com/charmbracelet/bubbletea"
	miniflux "miniflux.app/client"
)

func main() {
	// init miniflux
	client := miniflux.New(os.Getenv("MINIFLUXMPV_API_URL"), os.Getenv("MINIFLUXMPV_TOKEN"))

	// init miniflux player
	m := cmd.MinifluxPlayer{
		MinifluxClient:  client,
		DefaultCategory: "",
		MpvPath:         "mpv",

		CurrentView: cmd.ViewListFeedEntries,
	}

	// run tea program
	if _, err := tea.NewProgram(&m, tea.WithAltScreen()).Run(); err != nil {
		fmt.Println(err)

	}
}
